%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define api	3.0
%define girname	%mklibname %{name}-gir %{api}

Summary: Shared GSettings schemas for the desktop
Name: gsettings-desktop-schemas
Version: 3.4.2
Release: 1
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://gnome.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/gsettings-desktop-schemas/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Requires:	dconf

%description
This contains a collection of GSettings schemas for settings shared by
various components of a desktop.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
%ifarch %ix86
Obsoletes:	lib64gsettings-desktop-schemas-gir3.0
%endif

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package devel
Group: Development/C
Summary: Development files for %{name}

%description devel
This contains a collection of GSettings schemas for settings shared by
various components of a desktop.

%prep
%setup -q

%build
%configure2_5x \
	--enable-introspection=yes
%make

%install
%makeinstall_std pkgconfigdir=%{_datadir}/pkgconfig

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS
%{_datadir}/GConf/gsettings/gsettings-desktop-schemas.convert
%{_datadir}/GConf/gsettings/wm-schemas.convert
%{_datadir}/glib-2.0/schemas/*.xml

%files -n %{girname}
%{_libdir}/girepository-1.0/GDesktopEnums-%{api}.typelib

%files devel
%doc ChangeLog HACKING MAINTAINERS
%{_includedir}/%{name}
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GDesktopEnums-%{api}.gir



%changelog
* Sat May 19 2012 Alexander Khrukin <akhrukin@mandriva.org> 3.4.2-1
+ Revision: 799690
- version update 3.4.2

* Tue May 01 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.1-2
+ Revision: 794850
- rebuild
- no longer noarch
- obsolete lib64 gir pkg in ix86 repo

* Wed Apr 25 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.1-1
+ Revision: 793254
- new version 3.4.1
- new gir pkg

* Sun Dec 04 2011 Matthew Dawkins <mattydaw@mandriva.org> 3.2.0-2
+ Revision: 737687
- rebuild
- added requires for dconf
- converted BR to pkgconfig provide
- clean up spec

* Thu Nov 10 2011 Matthew Dawkins <mattydaw@mandriva.org> 3.2.0-1
+ Revision: 729618
- new version 3.2.0
  supposed to fix schemas errors with newer glib2

* Wed Apr 27 2011 Funda Wang <fwang@mandriva.org> 3.0.1-1
+ Revision: 659523
- update to new version 3.0.1

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 3.0.0-1
+ Revision: 650457
- new version 3.0.0

* Wed Mar 23 2011 Funda Wang <fwang@mandriva.org> 2.91.92-1
+ Revision: 647745
- new version 2.91.92

* Sat Jul 24 2010 Götz Waschk <waschk@mandriva.org> 0.0.1-1mdv2011.0
+ Revision: 558107
- import gsettings-desktop-schemas

